2 lee seven123 lee_seven123 于 2015.06.18 00:19 提问

继承ActionSupport报错

刚刚学习struts2,在继承ActionSupport时,在package前面出现错误,如下:
图片说明
如果不不继承package前面就不会出错:
图片说明
我导入的jar包如下:
图片说明

百度搜到的,我也有这问题,百度那人说是JDK版本太高,为什么版本高会报错。??

1个回答

cuiwei1026522829
cuiwei1026522829   Ds   Rxr 2015.06.18 19:19

我记得我用3.1居多,也不是说2.3不行,主要是你要点击那个红点看看具体说的什么错误,你要是不继承这个类
怎么用struts呢

lee_seven123
lee_seven123 jdk1.8.0-79换了1.7版本才行,这是在网上看到的,我也遇到这问题才转发的,错误信息是:The type java.util.Map$Entry cannot be resolved. It is indirectly referenced from required .class files
2 年多之前 回复
Csdn user default icon
上传中...
上传图片
插入图片